Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.graph.def
Class Action

    java.lang.Object
      org.jbpm.graph.def.Action

All Implemented Interfaces:
  java.io.Serializable, ActionHandler, Parsable

Direct Known Subclasses:
  CancelTimerAction, CreateTimerAction, MailAction, Script

    public class Action

extends java.lang.Object
implements ActionHandler, Parsable, java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Delegation` | `actionDelegation`
`protected java.lang.String` | `actionExpression`
`protected Event` | `event`
`protected boolean` | `isAsync`
`protected boolean` | `isAsyncExclusive`
`protected boolean` | `isPropagationAllowed`
`protected java.lang.String` | `name`
`protected ProcessDefinition` | `processDefinition`
`protected Action` | `referencedAction`

Constructor Summary
`Action()`
`Action(Delegation actionDelegate)`

Method Summary
`boolean` | `acceptsPropagatedEvents()`
`boolean` | `equals(java.lang.Object o)`
`void` | `execute(ExecutionContext executionContext)`
`Delegation` | `getActionDelegation()`
`java.lang.String` | `getActionExpression()`
`Event` | `getEvent()`
`long` | `getId()`
`java.lang.String` | `getName()`
`ProcessDefinition` | `getProcessDefinition()`
`Action` | `getReferencedAction()`
`boolean` | `isAsync()`
`boolean` | `isAsyncExclusive()`
`boolean` | `isPropagationAllowed()`
`void` | `read(org.dom4j.Element actionElement, JpdlXmlReader jpdlReader)`
`void` | `setActionDelegation(Delegation instantiatableDelegate)`
`void` | `setActionExpression(java.lang.String actionExpression)`
`void` | `setAsync(boolean isAsync)`
`void` | `setEvent(Event event)`
`void` | `setName(java.lang.String name)`
`void` | `setProcessDefinition(ProcessDefinition processDefinition)`
`void` | `setPropagationAllowed(boolean isPropagationAllowed)`
`void` | `setReferencedAction(Action referencedAction)`
`java.lang.String` | `toString()`
`void` | `write(org.dom4j.Element actionElement)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### isPropagationAllowed

    protected boolean isPropagationAllowed

### isAsync

    protected boolean isAsync

### isAsyncExclusive

    protected boolean isAsyncExclusive

### referencedAction

    protected Action referencedAction

### actionDelegation

    protected Delegation actionDelegation

### actionExpression

    protected java.lang.String actionExpression

### event

    protected Event event

### processDefinition

    protected ProcessDefinition processDefinition

Constructor Detail

### Action

    public Action()

### Action

    public Action(Delegation actionDelegate)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### read

    public void read(org.dom4j.Element actionElement,
                     JpdlXmlReader jpdlReader)

  Specified by:
    `read` in interface `Parsable`

### write

    public void write(org.dom4j.Element actionElement)

  Specified by:
    `write` in interface `Parsable`

### execute

    public void execute(ExecutionContext executionContext)
                 throws java.lang.Exception

  Specified by:
    `execute` in interface `ActionHandler`
  Throws:
    `java.lang.Exception`

### setName

    public void setName(java.lang.String name)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### acceptsPropagatedEvents

    public boolean acceptsPropagatedEvents()

### isPropagationAllowed

    public boolean isPropagationAllowed()

### setPropagationAllowed

    public void setPropagationAllowed(boolean isPropagationAllowed)

### getId

    public long getId()

### getName

    public java.lang.String getName()

### getEvent

    public Event getEvent()

### getProcessDefinition

    public ProcessDefinition getProcessDefinition()

### setProcessDefinition

    public void setProcessDefinition(ProcessDefinition processDefinition)

### getActionDelegation

    public Delegation getActionDelegation()

### setActionDelegation

    public void setActionDelegation(Delegation instantiatableDelegate)

### getReferencedAction

    public Action getReferencedAction()

### setReferencedAction

    public void setReferencedAction(Action referencedAction)

### isAsync

    public boolean isAsync()

### isAsyncExclusive

    public boolean isAsyncExclusive()

### getActionExpression

    public java.lang.String getActionExpression()

### setActionExpression

    public void setActionExpression(java.lang.String actionExpression)

### setEvent

    public void setEvent(Event event)

### setAsync

    public void setAsync(boolean isAsync)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD